import { CustomNotificationService } from './ngx-custom-notification.service';
import * as i0 from "@angular/core";
/**
 * Component for displaying custom notifications in the application.
 * This component subscribes to the notification service to receive
 * notifications and display them.
 */
export declare class CustomNotificationComponent {
    private service;
    isVisible: boolean;
    message: string;
    title: string | any;
    type: 'success' | 'warning' | 'error' | 'info';
    position: 'top-end' | 'top-start' | 'bottom-end' | 'bottom-start';
    iconClass: string;
    positionClass: string;
    closeButton: boolean | any;
    private notificationTimeout;
    constructor(service: CustomNotificationService);
    ngOnInit(): void;
    /**
     * Hides the notification.
     */
    hide(): void;
    iconClasses: {
        success: string;
        warning: string;
        error: string;
        info: string;
    };
    positionClasses: {
        'top-end': string;
        'top-start': string;
        'bottom-end': string;
        'bottom-start': string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomNotificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomNotificationComponent, "ngx-custom-notification", never, {}, {}, never, never, true, never>;
}
